/*ScianLVR5000.h
  Eric Pepke
*/

/*Ascii characters and processor commands*/
#define ACK			0x0A
#define NAK			0x0B
#define COMPLETION		0x01
#define CONNECT_TO_PROCESSOR	0xB7
#define F_PLAY			0x3A
#define ALL_CLEAR		0x56
#define NTSC_MODE		0xEA
#define COLOR_MODE		0xEC
#define STATUS_INQ		0x67
#define SEARCH			0x43	/*page 65*/
#define ENTER			0x40
#define FRAME_REC		0xE6	/*page 40*/
#define BLANK_AREA_SEARCH	0xBB	/*page 35*/
#define REPEAT			0x44	/*page 62*/
#define FRAME_NO_MODE		0x55	/*page 83*/
#define CURRENT_BLANK_INQ	0xBC	/*page 96*/
#define STILL			0x4F	/*page 67*/
#define REC_STANDBY		0xE0	/*page 43*/
#define FRAME_REC		0xE6	/*page 40*/
#define REC			0xE9	/*page 41*/
#define EDGE_RIGHT		0xB9	/*page 38*/
#define EDGE_LEFT		0xBA	/*page 38*/

#define LVR5000_DEV		"/dev/ttyd4"	/*Port for communication,
					see ScianLVR5000.c for details*/

#ifdef PROTO
void InitLVR5000(void);
void KillLVR5000(void);
#else
void InitLVR5000();
void KillLVR5000();
#endif
